curl --request GET \
--url https://api.partoo.co/v2/business/{business_id}/plans \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/business/{business_id}/plans"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/business/{business_id}/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plans": [
{
"name": "presence_management",
"enabled": true,
"subscription_date": "2025-01-01",
"expiration_date": "2026-01-01"
},
{
"name": "review_management",
"enabled": false,
"subscription_date": "2025-01-01",
"expiration_date": null
}
],
"org_plans": [
{
"name": "presence_management",
"subscription_date": "2025-01-01",
"expiration_date": "2026-01-01"
},
{
"name": "review_management",
"subscription_date": "2025-01-01",
"expiration_date": null
}
],
"active_plans": [
{
"name": "presence_management",
"expiration_date": "2026-01-01",
"enabled": true,
"subscription_date": "2025-01-01"
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Get Business's plans
This endpoint lets you retrieve the business’s plans.
You need to be a Provider to access this endpoint.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Response
OK
The exhaustive list of the business's plans.
Show child attributes
Show child attributes
[
{
"name": "presence_management",
"enabled": true,
"subscription_date": "2025-01-01",
"expiration_date": "2026-01-01"
},
{
"name": "review_management",
"enabled": false,
"subscription_date": "2025-01-01",
"expiration_date": null
}
]
The exhaustive list of the organization's plans.
Show child attributes
Show child attributes
[
{
"name": "presence_management",
"subscription_date": "2025-01-01",
"expiration_date": "2026-01-01"
},
{
"name": "review_management",
"subscription_date": "2025-01-01",
"expiration_date": null
}
]
The exhaustive list of active plans for the business.
Show child attributes
Show child attributes
Was this page helpful?